(function ($) {
  "use strict";
  $(function (e) {
    $("#filtro_home").on("keypress", function (e) {
      if (e.which == 13) {
        document.getElementById("form_busca").submit(function () {
          $("select").each(function () {
            if ($(this).val() == "") {
              $(this).attr("disabled", "disabled");
            }
          });
          $(this)
            .find("input[name]")
            .filter(function () {
              return !this.value;
            })
            .prop("name", "");
        });
      }
    });

    function enviarForm(e) {
      alert("teste");
    }

    document.onkeypress = enter;

    function enter(e) {
      //e.preventDefault();
      if (e.which == 13) {
        document.getElementById("form_busca").submit(function () {
          $("select").each(function () {
            if ($(this).val() == "") {
              $(this).attr("disabled", "disabled");
            }
          });
          $(this)
            .find("input[name]")
            .filter(function () {
              return !this.value;
            })
            .prop("name", "");
        });

        return false;
      }
    }

    $("#price_range").slider({});
    $("#ano_range").slider({});

    const $value = $("#price_range");
    $value.on("input change", () => {
      let number = $value.val().split(",");
      let min_value = number[0];
      let max_value = number[1];

      $("#form_min_price").val(min_value);
      $("#form_max_price").val(max_value);

      $("#label_min_price_form").text(
        "R$ " + min_value.split(/(?=(?:...)*$)/).join(".")
      );
      $("#label_max_price_form").text(
        "R$ " + max_value.split(/(?=(?:...)*$)/).join(".")
      );
    });

    const $valueYear = $("#ano_range");
    $valueYear.on("input change", () => {
      let number = $valueYear.val().split(",");
      let min_value = number[0];
      let max_value = number[1];

      $("#form_min_ano").val(min_value);
      $("#form_max_ano").val(max_value);

      $("#label_min_ano_form").text(min_value);
      $("#label_max_ano_form").text(max_value);
    });

    //Selecionar apenas modelos da marca
    $("#form_marca").on("change", function (v) {
      carregarModelos();
    });

    $("#form_modelo").on("change", function (v) {
      atualizarAno();
    });

    $("#form_busca").submit(function () {
      $("select").each(function () {
        if ($(this).val() == "") {
          $(this).attr("disabled", "disabled");
        }
      });
      $(this)
        .find("input[name]")
        .filter(function () {
          return !this.value;
        })
        .prop("name", "");
    });

    /**
     * Carregar anos
     */
    function atualizarAno() {
      let marca = $("#form_marca").val();
      let modelo = $("#form_modelo").val();

      let url_base = "/wp-admin/admin-ajax.php?action=get_modelos_rest";
      let url = url_base.concat("&marca=" + marca).concat("&modelo=" + modelo);

      //Atualizar anos
      $("#form_ano").empty();
      $("#form_ano").append(new Option("Carregando", ""));

      $.get(url, function (response) {
        $("#form_ano").append(new Option("Ano", ""));
        $.each(response.anos, function (v, t) {
          let value = v;
          let name = t;
          $("#form_ano").append(new Option(name, value));
        });
      }).done(function () {
        $("#form_ano option:contains('Carregando')").remove();
      });
    }

    /**
     * Carregar marcas
     */
    function carregarMarcas() {
      let marca = $("#form_marca").val();

      let url_base = "/wp-admin/admin-ajax.php?action=get_marcas_rest";

      $("#form_marca").empty();
      $("#form_marca").append(new Option("Carregando", ""));

      $.get(url_base, function (response) {
        $("#form_marca").append(new Option("Marca", ""));
        $.each(response.posts, function (v, t) {
          let value = t.slug;
          let name = t.name;
          $("#form_marca").append(new Option(name, value));
        });

        console.log(response);
      }).done(function () {
        $("#form_marca option:contains('Carregando')").remove();
        //$("#form_marca option[value='carregando']").remove();
      });
    }

    /**
     * Carregar modelos
     */
    function carregarModelos() {
      let marca = $("#form_marca").val();

      let url_base = "/wp-admin/admin-ajax.php?action=get_modelos_rest";
      let url = url_base.concat("&marca=" + marca);

      $("#form_modelo").empty();
      $("#form_modelo").append(new Option("Carregando", ""));

      $.get(url, function (response) {
        $("#form_modelo").append(new Option("Modelo", ""));
        $.each(response.posts, function (v, t) {
          let value = t.slug;
          let name = t.name;
          $("#form_modelo").append(new Option(name, value));
        });
      }).done(function () {
        $("#form_modelo option:contains('Carregando')").remove();
      });

      $("#form_ano").empty();
      $("#form_ano").append(new Option("Carregando", ""));

      $.get(url, function (response) {
        $("#form_ano").append(new Option("Ano", ""));
        $.each(response.anos, function (v, t) {
          let value = v;
          let name = t;
          $("#form_ano").append(new Option(name, value));
        });
      }).done(function () {
        $("#form_ano option:contains('Carregando')").remove();
      });
    }

    carregarModelos();
  });

  $("#form_busca").on("submit", function regex() {
    var valor1 = document.getElementById("min_price").value;
    var valor2 = document.getElementById("max_price").value;
    var valorFormatado1 = valor1.replace(/[^a-zA-Z0-9 ]/g, "");
    var valorFormatado2 = valor2.replace(/[^a-zA-Z0-9 ]/g, "");

    $("#min_price").val(valorFormatado1);
    $("#max_price").val(valorFormatado2);
  });
})(jQuery);

String.prototype.reverse = function () {
  return this.split("").reverse().join("");
};

function mascaraMoeda(campo, evento) {
  var tecla = !evento ? window.event.keyCode : evento.which;
  var valor = campo.value.replace(/[^\d]+/gi, "").reverse();
  var resultado = "";
  var mascara = "##.###.###".reverse();
  for (var x = 0, y = 0; x < mascara.length && y < valor.length; ) {
    if (mascara.charAt(x) != "#") {
      resultado += mascara.charAt(x);
      x++;
    } else {
      resultado += valor.charAt(y);
      y++;
      x++;
    }
  }
  campo.value = resultado.reverse();
}

function removerMarca() {
  document.getElementById("lista_marca_completa").style.display = "block";
  document.getElementById("lista_marca_selecionada").style.display = "none";
  document.getElementById("form_marca").value = "";

  //Dispara o evento
  let element = document.getElementById("form_marca");
  element.dispatchEvent(new Event("change"));
}

function selecionarMarca(slug, imagem, titulo) {
  document.getElementById("lista_marca_completa").style.display = "none";
  document.getElementById("lista_marca_selecionada").style.display = "block";
  document
    .getElementById("image_marca_selecionado")
    .setAttribute("src", imagem);
  document.getElementById("titulo_marca_selecionado").innerHTML = titulo;
  document.getElementById("form_marca").value = slug;

  //Dispara o evento
  let element = document.getElementById("form_marca");
  element.dispatchEvent(new Event("change"));
}

function removerTipo() {
  document.getElementById("lista_tipo_completa").style.display = "block";
  document.getElementById("lista_tipo_selecionada").style.display = "none";
  document.getElementById("form_carroceria").value = "";
}

function selecionarTipo(slug, imagem, titulo) {
  document.getElementById("lista_tipo_completa").style.display = "none";
  document.getElementById("lista_tipo_selecionada").style.display = "block";
  document.getElementById("image_tipo_selecionado").setAttribute("src", imagem);
  document.getElementById("titulo_tipo_selecionado").innerHTML = titulo;
  document.getElementById("form_carroceria").value = slug;
}
