var app = angular.module("myApp", []);
app.controller("myCtrl", function ($scope, $http, $window, $parse) {
  angular.element("#price_range").slider({});
  angular.element("#ano_range").slider({});

  angular.element("#price_range").on("slide", function (slideEvt) {
    angular.element("#min_valor_value").text(
      "R$ " +
        slideEvt.value[0]
          .toFixed(2)
          .replace(".", ",")
          .replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1.")
    );
    angular.element("#max_valor_value").text(
      "R$ " +
        slideEvt.value[1]
          .toFixed(2)
          .replace(".", ",")
          .replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1.")
    );
  });

  angular.element("#ano_range").on("slide", function (slideEvt) {
    angular.element("#min_ano_value").text(slideEvt.value[0]);
    angular.element("#max_ano_value").text(slideEvt.value[1]);
  });

  $scope.objForm = {
    filial: null,
    modelo: null,
    marca: null,
    carroceria: null,
    ano: null,
    max_price: null,
    min_price: null,
    max_ano: null,
    min_ano: null,
  };

  $scope.objMarcaSelecionada = null;
  $scope.objTipoSelecionada = null;

  $scope.arrModelos = [];
  $scope.arrFiliais = [];
  $scope.arrModelos = [];
  $scope.arrAnos = [];
  $scope.arrMarcas = [];
  $scope.arrTipos = [];

  $scope.limparMarca = function () {
    $scope.objForm.marca = null;
    $scope.objMarcaSelecionada = null;
  };

  $scope.limparTipo = function () {
    $scope.objForm.carroceria = null;
    $scope.objTipoSelecionada = null;
  };

  $scope.setMarca = function (objMarca) {
    $scope.objForm.marca = objMarca.slug;
    $scope.objMarcaSelecionada = objMarca;
    $scope.filtrarVeiculos();
  };

  $scope.setTipo = function (objTipo) {
    $scope.objForm.carroceria = objTipo.slug;
    $scope.objTipoSelecionada = objTipo;

    $scope.filtrarVeiculos();
  };

  $scope.$watch("objForm.marca", function (value) {
    if (value) {
      $scope.carregarFiltroModelos();
    }
  });

  $scope.setValue = function (campo, value) {
    if (campo == "marca") {
      $scope.objMarcaSelecionada = $scope.arrMarcas.find(function (el) {
        if (el.slug == value) {
          return el;
        }
      });
    }

    if (campo == "carroceria") {
      $scope.objTipoSelecionada = $scope.arrTipos.find(function (el) {
        if (el.slug == value) {
          return el;
        }
      });
    }

    if (value == null || value == "") {
      return;
    }

    var dados = "objForm." + campo;
    var model = $parse(dados);
    model.assign($scope, value);
  };

  $scope.calcularPreco = function () {
    preco = angular.element("#price_range").val();

    if (preco == "") {
      return;
    }

    $scope.objForm.min_price = preco.split(",")[0];
    $scope.objForm.max_price = preco.split(",")[1];
  };

  $scope.calcularAnoModelo = function () {
    ano = angular.element("#ano_range").val();

    if (ano == "") {
      return;
    }

    $scope.objForm.min_ano = ano.split(",")[0];
    $scope.objForm.max_ano = ano.split(",")[1];
  };

  $scope.carregando_modelos = false;
  $scope.carregarFiltroModelos = function () {
    $scope.arrModelos = [];
    $scope.carregando_modelos = true;
    var url_base =
      "/wp-admin/admin-ajax.php?action=get_taxonomy_product&taxonomy=marca";

    url = url_base.concat("&term=" + $scope.objForm.marca);

    $http
      .get(url)
      .then(
        function (response) {
          $scope.arrModelos = [];
          angular.forEach(response.data.posts, function (v, k) {
            $scope.arrModelos.push({ slug: v.slug, name: v.name });
          });
        },
        function (error) {}
      )
      .finally(function (response) {
        $scope.carregando_modelos = false;
      });
  };

  $scope.filtrarVeiculos = function () {
    $scope.calcularPreco();
    $scope.calcularAnoModelo();

    var dados = $scope.serializeObj($scope.objForm);
    $window.location.href = "/estoque/?" + dados;
    console.log(dados);
  };

  $scope.filtrarVeiculosHome = function () {
    $scope.calcularPreco();
    var dados = $scope.serializeObj($scope.objForm);
    $window.location.href = "/estoque/?" + dados;
  };

  $scope.serializeObj = function (obj) {
    var result = [];
    for (var property in obj)
      if (obj[property] != null) {
        result.push(
          encodeURIComponent(property) + "=" + encodeURIComponent(obj[property])
        );
      }
    return result.join("&");
  };
});

app.directive("myEnter", function () {
  return function (scope, element, attrs) {
    element.bind("keydown keypress", function (event) {
      if (event.which === 13) {
        scope.$apply(function () {
          scope.$eval(attrs.myEnter);
        });

        event.preventDefault();
      }
    });
  };
});
